# AIVehicleList_DefaultGroup Class Reference
[Classes that create a list of items.]

Creates a list of vehicles that are in the default group. More...

`#include <ai_vehiclelist.hpp>`

Inheritance diagram for AIVehicleList_DefaultGroup:

## Public Member Functions
| AIVehicleList_DefaultGroup (AIVehicle::VehicleType vehicle_type)
## Static Public Member Functions
static const char * | GetClassName ()
| Get the name of this class to identify it towards squirrel.

## Detailed Description

Creates a list of vehicles that are in the default group.

Definition at line 98 of file ai_vehiclelist.hpp.

## Constructor & Destructor Documentation

AIVehicleList_DefaultGroup::AIVehicleList_DefaultGroup | ( | AIVehicle::VehicleType | vehicle_type | ) |

Parameters:

  | vehicle_type | The VehicleType to get the list of vehicles for.

Definition at line 120 of file ai_vehiclelist.cpp.

References _current_company, AIList::AddItem(), FOR_ALL_VEHICLES, AIGroup::GROUP_DEFAULT, Vehicle::group_id, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem< Tpool >::index, Vehicle::IsPrimaryVehicle(), Vehicle::owner, BaseVehicle::type, and AIVehicle::VT_AIR.

## Member Function Documentation

static const char* AIVehicleList_DefaultGroup::GetClassName | ( |  | ) | `[inline, static]`

Get the name of this class to identify it towards squirrel.

Reimplemented from AIList.

Definition at line 101 of file ai_vehiclelist.hpp.

The documentation for this class was generated from the following files:

- src/ai/api/ai_vehiclelist.hpp
- src/ai/api/ai_vehiclelist.cpp